Firmware for imp004m


#1

Got my development board today and attempted to start testing out the BLE capabilities. The hardware.bluetooth method is throwing an “index not found” error. It looks like that hardware method appeared in firmware 37.15. Imp is pushing v36.14 to my imp004m.

Can you help me get the necessary firmware to my imp? Or do you think I might’ve misdiagnosed the problem?

Thanks!

Scott


#2

The bluetooth object was originally standalone; then we moved it under hardware for 37.15 or 37.16 and updated the docs accordingly.

You’re on 36.14 because that’s the most recent public release; 37.x is an internal release, but is documented because some customers are beta-testing it. 37 will eventually be made public as impOS 38. Our standard versioning is odd numbers are internal/test releases; even numbers are public releases.

I’m not sure how open our 37.x beta programme is, but if you ask @hugo nicely, he might move you across. He’ll need your imp004m board’s MAC address.


#3

Thanks! I’ll see if I can get on the program with @hugo. If not, do you have archived documentation for the API for the production releases?

Thanks again.


#4

Bluetooth support only exists from 37.x onwards, so if all else fails, I’m afraid you’ll have to wait for the official impOS 38 release.


#5

BLE support is pretty solid now, so no problems updating people who want to try it - just send mac addresses :slight_smile:

We’ll be moving to 38 betas in the pretty near future…


#6

impOS 38 is now available for beta. If you’d like to have your imps updated to try it out, please send a direct message with their IDs or MAC addresses.